%{?nodejs_find_provides_and_requires}
%global enable_tests 0

Name:       nodejs-samsam
Version:    1.1.2
Release:    1%{?dist}
Summary:    Value identification and comparison functions
License:    BSD
URL:        https://github.com/busterjs/samsam
Source:     http://registry.npmjs.org/samsam/-/samsam-%{version}.tgz

BuildArch:  noarch
BuildRequires:  nodejs-packaging

%description
samsam is a collection of predicate and comparison functions useful for identifying the type of values

%prep
%setup -q -n package


%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nodejs-samsam
cp -rp package.json autolint.js lib/ %{buildroot}%{nodejs_sitelib}/nodejs-samsam

%check
%if 0%{?enable_tests}
node test/samsam-test.js
%endif

%files
%doc Readme.md LICENSE AUTHORS jsTestDriver.conf test/
%{nodejs_sitelib}/nodejs-samsam


%changelog
* Tue Feb 10 2015 Anish Patil <apatil@redhat.com> - 1.1.2-1
- initial package
